Skip to main content
POST
/
v1
/
rule-sets
/
{rule-set-id}
/
entity-bindings
Create Entity Bindings
curl --request POST \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control/v1/rule-sets/{rule-set-id}/entity-bindings' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entities": [
    {
      "id": "<string>"
    }
  ]
}
'
import requests

url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control/v1/rule-sets/{rule-set-id}/entity-bindings"

payload = { "entities": [{ "id": "<string>" }] }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({entities: [{id: '<string>'}]})
};

fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/spend-control/v1/rule-sets/{rule-set-id}/entity-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "<string>",
  "message": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "errorCode": "<string>",
  "errorReason": "<string>",
  "timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

rule-set-id
string<biginteger>
required

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json
entities
object[]

Response

Successful operation